Subject: Re: [PATCH] index-pack usage of mmap() is unacceptably slower on many OSes other than Linux

From: Jeff Garzik <[email-masked]>
Date: Tue, 19 Dec 2006 19:50:22 -0500

Linus Torvalds wrote:
> 
> On Tue, 19 Dec 2006, Junio C Hamano wrote:
> 
>> Jeff Garzik <[email-masked]> writes:
>>
>>> If you are going to do this, you have to audit -every- file, to make
>>> sure git-compat-util.h is -always- the first header.
>> Will do.
> 
> Well, since any cases where it isn't (and where we'd care) will  show up 
> as just a compiler warning, I doubt we really even need to. We can fix 
> things up as they get reported too..

I wouldn't assume that is always the case.  Mostly true, I would 
suppose.  But some of those defines turn on and off 64-bit file 
size/offset gadgets for example.

	Jeff